Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoComposeRotationFromTo Class Reference
[Engine classes]

`#include <Inventor/engines/SoCompose.h>`

Inheritance diagram for SoComposeRotationFromTo:

List of all members.

## Detailed Description

The SoComposeRotationFromTo class is used to compose rotations based on from and to vectors.

## Public Attributes
SoMFVec3f | from
SoMFVec3f | to
SoEngineOutput | rotation

## Member Data Documentation

SoMFVec3f SoComposeRotationFromTo::from

| Set of input vectors to rotate from.

SoMFVec3f SoComposeRotationFromTo::to

| Set of input vectors to rotate to.

SoEngineOutput SoComposeRotationFromTo::rotation

| (SoMFRotation) Set of output rotations, where each element is the rotation you need to apply to the from vector (of the same index) to make it point in the to direction.

The documentation for this class was generated from the following files:

- SoComposeRotationFromTo.h
- SoComposeRotationFromTo.cpp